import Dexie from "dexie";
import { ResponseRechargeDetail } from "@newSdk/service/api/payment/getCoinRechargeDetail";
export declare type RechargeBillProps = {
    id: string;
    txid: string;
};
declare class Recharge {
    static authorize: boolean;
    static dbName: string;
    private db?;
    private store?;
    Event: {
        change: string;
    };
    init(db: Dexie): void;
    bulkPut(list: RechargeBillProps[]): void;
    bulkGet(ids: string[]): Promise<RechargeBillProps[]>;
    rechargeTransfer(item: ResponseRechargeDetail): RechargeBillProps;
    publish(list: RechargeBillProps[]): void;
}
export declare const rechargeDetailModal: Recharge;
export default rechargeDetailModal;
